#
# SunOS, Solaris Stuff
#

PATH=$PATH:/usr/ccs/bin:/usr/sfw/bin:/usr/openwin/bin
MANPATH=/usr/man

# pkgsrc
if [ -d /usr/pkg ]; then
    PATH=$PATH:/usr/pkg/bin:/usr/pkg/sbin
    MANPATH=$MANPATH:/usr/pkg/man
fi

# blastwave
if [ -d /opt/csw ]; then
    PATH=$PATH:/opt/csw/bin:/opt/csw/sbin
    MANPATH=$MANPATH:/opt/csw/man
fi

export PATH MANPATH

# GNU ls(1) from SunOS ports is called gls(1)/gdircolors(1).
if -exe gls; then
    if [ "$TERM" != 'dumb' ]; then
        if -exe gdircolors; then
            if [ -r ~/.dircolors ]; then
                eval $(gdircolors -b ~/.dircolors)
            else
                eval $(gdircolors -b)
            fi
        fi
        alias ls='gls -h --color=auto'
        alias l='gls -lh --color=auto'
    else
        alias ls='gls -h'
        alias l='gls -lh'
    fi
fi

# GNU tar is called gtar
if -exe gtar; then
    alias tar='gtar'
fi

# GNU find is called gfind
if -exe gfind; then
    alias find='gfind'
fi

